<!--
  ~ *********************************************************************************************************************
  ~
  ~                      :*$@@%$*:                         ;:                ;;    ;;
  ~                    :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
  ~                   :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
  ~                   =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
  ~                   =@*                                  %!              @ $= % %@=   =%@!      %=
  ~              *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
  ~            %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
  ~          ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
  ~          $@*   ;@@@%=!:                *@*
  ~          =@$    ;;;!=%@@@@=!           =@!
  ~           %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
  ~            ;%@@$=$@@%*       *@@@$=%@@%;
  ~               ::;::             ::;::                                              All rights reserved.
  ~
  ~ *********************************************************************************************************************
  -->

<configuration scan="true" debug="false">
    <contextName>revit-algorithm</contextName>
    <appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">
        <encoder>
            <pattern>%red(%d{yyyy-MM-dd HH:mm:ss}) %green([%thread]) %highlight(%-5level) %boldMagenta(%logger{10}) - %cyan(%msg%n)</pattern>
        </encoder>
    </appender>

    <!-- 定义cn.sagacloud包的日志级别 -->
    <logger name="cn.sagacloud" level="DEBUG" additivity="false">
        <appender-ref ref="STDOUT"/>

    </logger>

    <!-- 定义com.sybotan包的日志级别 -->
    <logger name="com.sybotan" level="ERROR" additivity="false">
        <appender-ref ref="STDOUT"/>
    </logger>

    <!-- 定义com.sybotan包的日志级别 -->
    <logger name="org.apache.activemq" level="ERROR" additivity="false">
        <appender-ref ref="STDOUT"/>
    </logger>

    <!-- 定义日志级别 -->
    <root level="ERROR">
        <appender-ref ref="STDOUT" />
    </root>


    <appender name="FILE"  class="ch.qos.logback.core.rolling.RollingFileAppender">
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <!--日志文件输出的文件名-->
            <FileNamePattern>/mnt/harddisk/saga/apps/tomcat-8080/saga-log/revit-algorithm/runtime.log.%d{yyyy-MM-dd}.log</FileNamePattern>
<!--            <FileNamePattern>d:/delete/revit-algorithm/runtime.log.%d{yyyy-MM-dd}.log</FileNamePattern>-->
            <!--日志文件保留天数-->
            <MaxHistory>50</MaxHistory>
        </rollingPolicy>
        <encoder class="ch.qos.logback.classic.encoder.PatternLayoutEncoder">
            <!--格式化输出：%d表示日期，%thread表示线程名，%-5level：级别从左显示5个字符宽度%msg：日志消息，%n是换行符-->
            <pattern>%d{yyyy-MM-dd HH:mm:ss.SSS} [%thread] %-5level %logger{50} - %msg%n</pattern>
        </encoder>
        <!--日志文件最大的大小-->
        <triggeringPolicy class="ch.qos.logback.core.rolling.SizeBasedTriggeringPolicy">
            <MaxFileSize>100MB</MaxFileSize>
        </triggeringPolicy>
    </appender>
</configuration>
